Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.database.creator
Class AbstractOwlDatabaseCreator

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator
          edu.stanford.smi.protegex.owl.database.creator.AbstractOwlDatabaseCreator

Direct Known Subclasses:
  OwlDatabaseCreator, OwlDatabaseFromFileCreator

    public abstract class AbstractOwlDatabaseCreator

extends AbstractOwlProjectCreator

This is the common part of all the owl database project creators. It is abstract because it does not ensure that the ontology is not null.

Author:
  tredmond

Field Summary
`protected edu.stanford.smi.protege.model.Project` | `project`

Fields inherited from class edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator
`factory`

Constructor Summary
`protected` | `AbstractOwlDatabaseCreator(OWLDatabaseKnowledgeBaseFactory factory)`

Method Summary
`void` | `create(Collection errors)`
`String` | `getDriver()`
`OWLDatabaseModel` | `getOwlModel()`
`String` | `getPassword()`
`edu.stanford.smi.protege.model.Project` | `getProject()`
`String` | `getTable()`
`String` | `getUrl()`
`String` | `getUsername()`
`protected void` | `initializeSources(edu.stanford.smi.protege.util.PropertyList sources)`
`protected void` | `initializeTable(Collection errors)`
`void` | `setDriver(String driver)`
`void` | `setPassword(String password)`
`void` | `setTable(String table)`
`void` | `setURL(String url)`
`void` | `setUsername(String username)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator
`addViewSettings, getFactory, getRepositories, insertRepositoriesIntoOwlModel, setDefaultClassView, setProfileURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### project

    protected edu.stanford.smi.protege.model.Project project

Constructor Detail

### AbstractOwlDatabaseCreator

    protected AbstractOwlDatabaseCreator(OWLDatabaseKnowledgeBaseFactory factory)

Method Detail

### create

    public void create(Collection errors)
                throws edu.stanford.smi.protege.exception.OntologyLoadException

  Specified by:
    `create` in class `AbstractOwlProjectCreator`
  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### getOwlModel

    public OWLDatabaseModel getOwlModel()

  Specified by:
    `getOwlModel` in class `AbstractOwlProjectCreator`

### getProject

    public edu.stanford.smi.protege.model.Project getProject()

  Specified by:
    `getProject` in class `AbstractOwlProjectCreator`

### initializeSources

    protected void initializeSources(edu.stanford.smi.protege.util.PropertyList sources)

### initializeTable

    protected void initializeTable(Collection errors)
                            throws IOException

  Throws:
    `IOException`

### setDriver

    public void setDriver(String driver)

### setTable

    public void setTable(String table)

### setURL

    public void setURL(String url)

### setUsername

    public void setUsername(String username)

### setPassword

    public void setPassword(String password)

### getDriver

    public String getDriver()

### getTable

    public String getTable()

### getUsername

    public String getUsername()

### getPassword

    public String getPassword()

### getUrl

    public String getUrl()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.